#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioListener" "\0"
  /*   393 */ "AudioNode" "\0"
  /*   403 */ "AudioParam" "\0"
  /*   414 */ "AudioParamMap" "\0"
  /*   428 */ "AudioProcessingEvent" "\0"
  /*   449 */ "AudioScheduledSourceNode" "\0"
  /*   474 */ "AudioTrack" "\0"
  /*   485 */ "AudioTrackList" "\0"
  /*   500 */ "AudioWorklet" "\0"
  /*   513 */ "AudioWorkletGlobalScope" "\0"
  /*   537 */ "AudioWorkletNode" "\0"
  /*   554 */ "AudioWorkletProcessor" "\0"
  /*   576 */ "AuthenticatorAssertionResponse" "\0"
  /*   607 */ "AuthenticatorAttestationResponse" "\0"
  /*   640 */ "AuthenticatorResponse" "\0"
  /*   662 */ "BarProp" "\0"
  /*   670 */ "BaseAudioContext" "\0"
  /*   687 */ "BatteryManager" "\0"
  /*   702 */ "BeforeUnloadEvent" "\0"
  /*   720 */ "BiquadFilterNode" "\0"
  /*   737 */ "Blob" "\0"
  /*   742 */ "BlobEvent" "\0"
  /*   752 */ "BroadcastChannel" "\0"
  /*   769 */ "BrowsingContext" "\0"
  /*   785 */ "BrowsingContextGroup" "\0"
  /*   806 */ "ByteLengthQueuingStrategy" "\0"
  /*   832 */ "CDATASection" "\0"
  /*   845 */ "CSS" "\0"
  /*   849 */ "CSS2Properties" "\0"
  /*   864 */ "CSSAnimation" "\0"
  /*   877 */ "CSSConditionRule" "\0"
  /*   894 */ "CSSContainerRule" "\0"
  /*   911 */ "CSSCounterStyleRule" "\0"
  /*   931 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   964 */ "CSSFontFaceRule" "\0"
  /*   980 */ "CSSFontFeatureValuesRule" "\0"
  /*  1005 */ "CSSFontPaletteValuesRule" "\0"
  /*  1030 */ "CSSGroupingRule" "\0"
  /*  1046 */ "CSSImportRule" "\0"
  /*  1060 */ "CSSKeyframeRule" "\0"
  /*  1076 */ "CSSKeyframesRule" "\0"
  /*  1093 */ "CSSLayerBlockRule" "\0"
  /*  1111 */ "CSSLayerStatementRule" "\0"
  /*  1133 */ "CSSMediaRule" "\0"
  /*  1146 */ "CSSMozDocumentRule" "\0"
  /*  1165 */ "CSSNamespaceRule" "\0"
  /*  1182 */ "CSSPageRule" "\0"
  /*  1194 */ "CSSPropertyRule" "\0"
  /*  1210 */ "CSSPseudoElement" "\0"
  /*  1227 */ "CSSRule" "\0"
  /*  1235 */ "CSSRuleList" "\0"
  /*  1247 */ "CSSStyleDeclaration" "\0"
  /*  1267 */ "CSSStyleRule" "\0"
  /*  1280 */ "CSSStyleSheet" "\0"
  /*  1294 */ "CSSSupportsRule" "\0"
  /*  1310 */ "CSSTransition" "\0"
  /*  1324 */ "Cache" "\0"
  /*  1330 */ "CacheStorage" "\0"
  /*  1343 */ "CallbackDebuggerNotification" "\0"
  /*  1372 */ "CanonicalBrowsingContext" "\0"
  /*  1397 */ "CanvasCaptureMediaStream" "\0"
  /*  1422 */ "CanvasGradient" "\0"
  /*  1437 */ "CanvasPattern" "\0"
  /*  1451 */ "CanvasRenderingContext2D" "\0"
  /*  1476 */ "CaretPosition" "\0"
  /*  1490 */ "CaretStateChangedEvent" "\0"
  /*  1513 */ "ChannelMergerNode" "\0"
  /*  1531 */ "ChannelSplitterNode" "\0"
  /*  1551 */ "ChannelWrapper" "\0"
  /*  1566 */ "CharacterData" "\0"
  /*  1580 */ "CheckerboardReportService" "\0"
  /*  1606 */ "ChildProcessMessageManager" "\0"
  /*  1633 */ "ChildSHistory" "\0"
  /*  1647 */ "ChromeMessageBroadcaster" "\0"
  /*  1672 */ "ChromeMessageSender" "\0"
  /*  1692 */ "ChromeNodeList" "\0"
  /*  1707 */ "ChromeUtils" "\0"
  /*  1719 */ "ChromeWorker" "\0"
  /*  1732 */ "Client" "\0"
  /*  1739 */ "Clients" "\0"
  /*  1747 */ "Clipboard" "\0"
  /*  1757 */ "ClipboardEvent" "\0"
  /*  1772 */ "ClipboardItem" "\0"
  /*  1786 */ "ClonedErrorHolder" "\0"
  /*  1804 */ "CloseEvent" "\0"
  /*  1815 */ "CommandEvent" "\0"
  /*  1828 */ "Comment" "\0"
  /*  1836 */ "CompositionEvent" "\0"
  /*  1853 */ "CompressionStream" "\0"
  /*  1871 */ "ConsoleInstance" "\0"
  /*  1887 */ "ConstantSourceNode" "\0"
  /*  1906 */ "ContentFrameMessageManager" "\0"
  /*  1933 */ "ContentProcessMessageManager" "\0"
  /*  1962 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2000 */ "ConvolverNode" "\0"
  /*  2014 */ "CountQueuingStrategy" "\0"
  /*  2035 */ "CreateOfferRequest" "\0"
  /*  2054 */ "Credential" "\0"
  /*  2065 */ "CredentialsContainer" "\0"
  /*  2086 */ "Crypto" "\0"
  /*  2093 */ "CryptoKey" "\0"
  /*  2103 */ "CustomElementRegistry" "\0"
  /*  2125 */ "CustomEvent" "\0"
  /*  2137 */ "CustomStateSet" "\0"
  /*  2152 */ "DOMException" "\0"
  /*  2165 */ "DOMImplementation" "\0"
  /*  2183 */ "DOMLocalization" "\0"
  /*  2199 */ "DOMMatrix" "\0"
  /*  2209 */ "DOMMatrixReadOnly" "\0"
  /*  2227 */ "DOMParser" "\0"
  /*  2237 */ "DOMPoint" "\0"
  /*  2246 */ "DOMPointReadOnly" "\0"
  /*  2263 */ "DOMQuad" "\0"
  /*  2271 */ "DOMRect" "\0"
  /*  2279 */ "DOMRectList" "\0"
  /*  2291 */ "DOMRectReadOnly" "\0"
  /*  2307 */ "DOMStringList" "\0"
  /*  2321 */ "DOMStringMap" "\0"
  /*  2334 */ "DOMTokenList" "\0"
  /*  2347 */ "DataTransfer" "\0"
  /*  2360 */ "DataTransferItem" "\0"
  /*  2377 */ "DataTransferItemList" "\0"
  /*  2398 */ "DebuggerNotification" "\0"
  /*  2419 */ "DebuggerNotificationObserver" "\0"
  /*  2448 */ "DecompressionStream" "\0"
  /*  2468 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2495 */ "DelayNode" "\0"
  /*  2505 */ "DeprecationReportBody" "\0"
  /*  2527 */ "DeviceAcceleration" "\0"
  /*  2546 */ "DeviceLightEvent" "\0"
  /*  2563 */ "DeviceMotionEvent" "\0"
  /*  2581 */ "DeviceOrientationEvent" "\0"
  /*  2604 */ "DeviceRotationRate" "\0"
  /*  2623 */ "Directory" "\0"
  /*  2633 */ "Document" "\0"
  /*  2642 */ "DocumentFragment" "\0"
  /*  2659 */ "DocumentL10n" "\0"
  /*  2672 */ "DocumentTimeline" "\0"
  /*  2689 */ "DocumentType" "\0"
  /*  2702 */ "DominatorTree" "\0"
  /*  2716 */ "DragEvent" "\0"
  /*  2726 */ "DynamicsCompressorNode" "\0"
  /*  2749 */ "EXT_blend_minmax" "\0"
  /*  2766 */ "EXT_color_buffer_float" "\0"
  /*  2789 */ "EXT_color_buffer_half_float" "\0"
  /*  2817 */ "EXT_disjoint_timer_query" "\0"
  /*  2842 */ "EXT_float_blend" "\0"
  /*  2858 */ "EXT_frag_depth" "\0"
  /*  2873 */ "EXT_sRGB" "\0"
  /*  2882 */ "EXT_shader_texture_lod" "\0"
  /*  2905 */ "EXT_texture_compression_bptc" "\0"
  /*  2934 */ "EXT_texture_compression_rgtc" "\0"
  /*  2963 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2994 */ "EXT_texture_norm16" "\0"
  /*  3013 */ "Element" "\0"
  /*  3021 */ "ElementInternals" "\0"
  /*  3038 */ "EncodedAudioChunk" "\0"
  /*  3056 */ "EncodedVideoChunk" "\0"
  /*  3074 */ "ErrorEvent" "\0"
  /*  3085 */ "Event" "\0"
  /*  3091 */ "EventCallbackDebuggerNotification" "\0"
  /*  3125 */ "EventCounts" "\0"
  /*  3137 */ "EventSource" "\0"
  /*  3149 */ "EventTarget" "\0"
  /*  3161 */ "Exception" "\0"
  /*  3171 */ "ExtendableEvent" "\0"
  /*  3187 */ "ExtendableMessageEvent" "\0"
  /*  3210 */ "ExtensionAlarms" "\0"
  /*  3226 */ "ExtensionBrowser" "\0"
  /*  3243 */ "ExtensionBrowserSettings" "\0"
  /*  3268 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3308 */ "ExtensionDns" "\0"
  /*  3321 */ "ExtensionEventManager" "\0"
  /*  3343 */ "ExtensionMockAPI" "\0"
  /*  3360 */ "ExtensionPort" "\0"
  /*  3374 */ "ExtensionProxy" "\0"
  /*  3389 */ "ExtensionRuntime" "\0"
  /*  3406 */ "ExtensionScripting" "\0"
  /*  3425 */ "ExtensionSetting" "\0"
  /*  3442 */ "ExtensionTest" "\0"
  /*  3456 */ "External" "\0"
  /*  3465 */ "FeaturePolicy" "\0"
  /*  3479 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3512 */ "FetchEvent" "\0"
  /*  3523 */ "FetchObserver" "\0"
  /*  3537 */ "File" "\0"
  /*  3542 */ "FileList" "\0"
  /*  3551 */ "FileReader" "\0"
  /*  3562 */ "FileReaderSync" "\0"
  /*  3577 */ "FileSystem" "\0"
  /*  3588 */ "FileSystemDirectoryEntry" "\0"
  /*  3613 */ "FileSystemDirectoryHandle" "\0"
  /*  3639 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3679 */ "FileSystemDirectoryIterator" "\0"
  /*  3707 */ "FileSystemDirectoryReader" "\0"
  /*  3733 */ "FileSystemEntry" "\0"
  /*  3749 */ "FileSystemFileEntry" "\0"
  /*  3769 */ "FileSystemFileHandle" "\0"
  /*  3790 */ "FileSystemHandle" "\0"
  /*  3807 */ "FileSystemSyncAccessHandle" "\0"
  /*  3834 */ "FileSystemWritableFileStream" "\0"
  /*  3863 */ "Flex" "\0"
  /*  3868 */ "FlexItemValues" "\0"
  /*  3883 */ "FlexLineValues" "\0"
  /*  3898 */ "FluentBundle" "\0"
  /*  3911 */ "FluentBundleAsyncIterator" "\0"
  /*  3937 */ "FluentBundleIterator" "\0"
  /*  3958 */ "FluentPattern" "\0"
  /*  3972 */ "FluentResource" "\0"
  /*  3987 */ "FocusEvent" "\0"
  /*  3998 */ "FontFace" "\0"
  /*  4007 */ "FontFaceSet" "\0"
  /*  4019 */ "FontFaceSetIterator" "\0"
  /*  4039 */ "FontFaceSetLoadEvent" "\0"
  /*  4060 */ "FormData" "\0"
  /*  4069 */ "FormData Iterator" "\0"
  /*  4087 */ "FormDataEvent" "\0"
  /*  4101 */ "FrameCrashedEvent" "\0"
  /*  4119 */ "FrameLoader" "\0"
  /*  4131 */ "GPU" "\0"
  /*  4135 */ "GPUAdapter" "\0"
  /*  4146 */ "GPUAdapterInfo" "\0"
  /*  4161 */ "GPUBindGroup" "\0"
  /*  4174 */ "GPUBindGroupLayout" "\0"
  /*  4193 */ "GPUBuffer" "\0"
  /*  4203 */ "GPUBufferUsage" "\0"
  /*  4218 */ "GPUCanvasContext" "\0"
  /*  4235 */ "GPUColorWrite" "\0"
  /*  4249 */ "GPUCommandBuffer" "\0"
  /*  4266 */ "GPUCommandEncoder" "\0"
  /*  4284 */ "GPUCompilationInfo" "\0"
  /*  4303 */ "GPUCompilationMessage" "\0"
  /*  4325 */ "GPUComputePassEncoder" "\0"
  /*  4347 */ "GPUComputePipeline" "\0"
  /*  4366 */ "GPUDevice" "\0"
  /*  4376 */ "GPUDeviceLostInfo" "\0"
  /*  4394 */ "GPUError" "\0"
  /*  4403 */ "GPUInternalError" "\0"
  /*  4420 */ "GPUMapMode" "\0"
  /*  4431 */ "GPUOutOfMemoryError" "\0"
  /*  4451 */ "GPUPipelineLayout" "\0"
  /*  4469 */ "GPUQuerySet" "\0"
  /*  4481 */ "GPUQueue" "\0"
  /*  4490 */ "GPURenderBundle" "\0"
  /*  4506 */ "GPURenderBundleEncoder" "\0"
  /*  4529 */ "GPURenderPassEncoder" "\0"
  /*  4550 */ "GPURenderPipeline" "\0"
  /*  4568 */ "GPUSampler" "\0"
  /*  4579 */ "GPUShaderModule" "\0"
  /*  4595 */ "GPUShaderStage" "\0"
  /*  4610 */ "GPUSupportedFeatures" "\0"
  /*  4631 */ "GPUSupportedLimits" "\0"
  /*  4650 */ "GPUTexture" "\0"
  /*  4661 */ "GPUTextureUsage" "\0"
  /*  4677 */ "GPUTextureView" "\0"
  /*  4692 */ "GPUUncapturedErrorEvent" "\0"
  /*  4716 */ "GPUValidationError" "\0"
  /*  4735 */ "GainNode" "\0"
  /*  4744 */ "Gamepad" "\0"
  /*  4752 */ "GamepadAxisMoveEvent" "\0"
  /*  4773 */ "GamepadButton" "\0"
  /*  4787 */ "GamepadButtonEvent" "\0"
  /*  4806 */ "GamepadEvent" "\0"
  /*  4819 */ "GamepadHapticActuator" "\0"
  /*  4841 */ "GamepadLightIndicator" "\0"
  /*  4863 */ "GamepadPose" "\0"
  /*  4875 */ "GamepadServiceTest" "\0"
  /*  4894 */ "GamepadTouch" "\0"
  /*  4907 */ "Geolocation" "\0"
  /*  4919 */ "GeolocationCoordinates" "\0"
  /*  4942 */ "GeolocationPosition" "\0"
  /*  4962 */ "GeolocationPositionError" "\0"
  /*  4987 */ "GetUserMediaRequest" "\0"
  /*  5007 */ "GleanBoolean" "\0"
  /*  5020 */ "GleanCategory" "\0"
  /*  5034 */ "GleanCounter" "\0"
  /*  5047 */ "GleanCustomDistribution" "\0"
  /*  5071 */ "GleanDatetime" "\0"
  /*  5085 */ "GleanDenominator" "\0"
  /*  5102 */ "GleanEvent" "\0"
  /*  5113 */ "GleanImpl" "\0"
  /*  5123 */ "GleanLabeled" "\0"
  /*  5136 */ "GleanMemoryDistribution" "\0"
  /*  5160 */ "GleanMetric" "\0"
  /*  5172 */ "GleanNumerator" "\0"
  /*  5187 */ "GleanObject" "\0"
  /*  5199 */ "GleanPingsImpl" "\0"
  /*  5214 */ "GleanQuantity" "\0"
  /*  5228 */ "GleanRate" "\0"
  /*  5238 */ "GleanString" "\0"
  /*  5250 */ "GleanStringList" "\0"
  /*  5266 */ "GleanText" "\0"
  /*  5276 */ "GleanTimespan" "\0"
  /*  5290 */ "GleanTimingDistribution" "\0"
  /*  5314 */ "GleanUrl" "\0"
  /*  5323 */ "GleanUuid" "\0"
  /*  5333 */ "Grid" "\0"
  /*  5338 */ "GridArea" "\0"
  /*  5347 */ "GridDimension" "\0"
  /*  5361 */ "GridLine" "\0"
  /*  5370 */ "GridLines" "\0"
  /*  5380 */ "GridTrack" "\0"
  /*  5390 */ "GridTracks" "\0"
  /*  5401 */ "HTMLAllCollection" "\0"
  /*  5419 */ "HTMLAnchorElement" "\0"
  /*  5437 */ "HTMLAreaElement" "\0"
  /*  5453 */ "HTMLAudioElement" "\0"
  /*  5470 */ "HTMLBRElement" "\0"
  /*  5484 */ "HTMLBaseElement" "\0"
  /*  5500 */ "HTMLBodyElement" "\0"
  /*  5516 */ "HTMLButtonElement" "\0"
  /*  5534 */ "HTMLCanvasElement" "\0"
  /*  5552 */ "HTMLCollection" "\0"
  /*  5567 */ "HTMLDListElement" "\0"
  /*  5584 */ "HTMLDataElement" "\0"
  /*  5600 */ "HTMLDataListElement" "\0"
  /*  5620 */ "HTMLDetailsElement" "\0"
  /*  5639 */ "HTMLDialogElement" "\0"
  /*  5657 */ "HTMLDirectoryElement" "\0"
  /*  5678 */ "HTMLDivElement" "\0"
  /*  5693 */ "HTMLDocument" "\0"
  /*  5706 */ "HTMLElement" "\0"
  /*  5718 */ "HTMLEmbedElement" "\0"
  /*  5735 */ "HTMLFieldSetElement" "\0"
  /*  5755 */ "HTMLFontElement" "\0"
  /*  5771 */ "HTMLFormControlsCollection" "\0"
  /*  5798 */ "HTMLFormElement" "\0"
  /*  5814 */ "HTMLFrameElement" "\0"
  /*  5831 */ "HTMLFrameSetElement" "\0"
  /*  5851 */ "HTMLHRElement" "\0"
  /*  5865 */ "HTMLHeadElement" "\0"
  /*  5881 */ "HTMLHeadingElement" "\0"
  /*  5900 */ "HTMLHtmlElement" "\0"
  /*  5916 */ "HTMLIFrameElement" "\0"
  /*  5934 */ "HTMLImageElement" "\0"
  /*  5951 */ "HTMLInputElement" "\0"
  /*  5968 */ "HTMLLIElement" "\0"
  /*  5982 */ "HTMLLabelElement" "\0"
  /*  5999 */ "HTMLLegendElement" "\0"
  /*  6017 */ "HTMLLinkElement" "\0"
  /*  6033 */ "HTMLMapElement" "\0"
  /*  6048 */ "HTMLMarqueeElement" "\0"
  /*  6067 */ "HTMLMediaElement" "\0"
  /*  6084 */ "HTMLMenuElement" "\0"
  /*  6100 */ "HTMLMetaElement" "\0"
  /*  6116 */ "HTMLMeterElement" "\0"
  /*  6133 */ "HTMLModElement" "\0"
  /*  6148 */ "HTMLOListElement" "\0"
  /*  6165 */ "HTMLObjectElement" "\0"
  /*  6183 */ "HTMLOptGroupElement" "\0"
  /*  6203 */ "HTMLOptionElement" "\0"
  /*  6221 */ "HTMLOptionsCollection" "\0"
  /*  6243 */ "HTMLOutputElement" "\0"
  /*  6261 */ "HTMLParagraphElement" "\0"
  /*  6282 */ "HTMLParamElement" "\0"
  /*  6299 */ "HTMLPictureElement" "\0"
  /*  6318 */ "HTMLPreElement" "\0"
  /*  6333 */ "HTMLProgressElement" "\0"
  /*  6353 */ "HTMLQuoteElement" "\0"
  /*  6370 */ "HTMLScriptElement" "\0"
  /*  6388 */ "HTMLSelectElement" "\0"
  /*  6406 */ "HTMLSlotElement" "\0"
  /*  6422 */ "HTMLSourceElement" "\0"
  /*  6440 */ "HTMLSpanElement" "\0"
  /*  6456 */ "HTMLStyleElement" "\0"
  /*  6473 */ "HTMLTableCaptionElement" "\0"
  /*  6497 */ "HTMLTableCellElement" "\0"
  /*  6518 */ "HTMLTableColElement" "\0"
  /*  6538 */ "HTMLTableElement" "\0"
  /*  6555 */ "HTMLTableRowElement" "\0"
  /*  6575 */ "HTMLTableSectionElement" "\0"
  /*  6599 */ "HTMLTemplateElement" "\0"
  /*  6619 */ "HTMLTextAreaElement" "\0"
  /*  6639 */ "HTMLTimeElement" "\0"
  /*  6655 */ "HTMLTitleElement" "\0"
  /*  6672 */ "HTMLTrackElement" "\0"
  /*  6689 */ "HTMLUListElement" "\0"
  /*  6706 */ "HTMLUnknownElement" "\0"
  /*  6725 */ "HTMLVideoElement" "\0"
  /*  6742 */ "HashChangeEvent" "\0"
  /*  6758 */ "Headers" "\0"
  /*  6766 */ "Headers Iterator" "\0"
  /*  6783 */ "HeapSnapshot" "\0"
  /*  6796 */ "Highlight" "\0"
  /*  6806 */ "HighlightRegistry" "\0"
  /*  6824 */ "History" "\0"
  /*  6832 */ "IDBCursor" "\0"
  /*  6842 */ "IDBCursorWithValue" "\0"
  /*  6861 */ "IDBDatabase" "\0"
  /*  6873 */ "IDBFactory" "\0"
  /*  6884 */ "IDBIndex" "\0"
  /*  6893 */ "IDBKeyRange" "\0"
  /*  6905 */ "IDBObjectStore" "\0"
  /*  6920 */ "IDBOpenDBRequest" "\0"
  /*  6937 */ "IDBRequest" "\0"
  /*  6948 */ "IDBTransaction" "\0"
  /*  6963 */ "IDBVersionChangeEvent" "\0"
  /*  6985 */ "IIRFilterNode" "\0"
  /*  6999 */ "IOUtils" "\0"
  /*  7007 */ "IdentityCredential" "\0"
  /*  7026 */ "IdleDeadline" "\0"
  /*  7039 */ "Image" "\0"
  /*  7045 */ "ImageBitmap" "\0"
  /*  7057 */ "ImageBitmapRenderingContext" "\0"
  /*  7085 */ "ImageCapture" "\0"
  /*  7098 */ "ImageCaptureError" "\0"
  /*  7116 */ "ImageCaptureErrorEvent" "\0"
  /*  7139 */ "ImageData" "\0"
  /*  7149 */ "ImageDocument" "\0"
  /*  7163 */ "InputEvent" "\0"
  /*  7174 */ "InspectorFontFace" "\0"
  /*  7192 */ "InspectorUtils" "\0"
  /*  7207 */ "InstallTriggerImpl" "\0"
  /*  7226 */ "IntersectionObserver" "\0"
  /*  7247 */ "IntersectionObserverEntry" "\0"
  /*  7273 */ "IntlUtils" "\0"
  /*  7283 */ "InvokeEvent" "\0"
  /*  7295 */ "JSProcessActorChild" "\0"
  /*  7315 */ "JSProcessActorParent" "\0"
  /*  7336 */ "JSWindowActorChild" "\0"
  /*  7355 */ "JSWindowActorParent" "\0"
  /*  7375 */ "KeyEvent" "\0"
  /*  7384 */ "KeyboardEvent" "\0"
  /*  7398 */ "KeyframeEffect" "\0"
  /*  7413 */ "L10nFileSource" "\0"
  /*  7428 */ "L10nOverlays" "\0"
  /*  7441 */ "L10nRegistry" "\0"
  /*  7454 */ "LargestContentfulPaint" "\0"
  /*  7477 */ "LegacyMozTCPSocket" "\0"
  /*  7496 */ "Localization" "\0"
  /*  7509 */ "Location" "\0"
  /*  7518 */ "Lock" "\0"
  /*  7523 */ "LockManager" "\0"
  /*  7535 */ "MIDIAccess" "\0"
  /*  7546 */ "MIDIConnectionEvent" "\0"
  /*  7566 */ "MIDIInput" "\0"
  /*  7576 */ "MIDIInputMap" "\0"
  /*  7589 */ "MIDIMessageEvent" "\0"
  /*  7606 */ "MIDIOutput" "\0"
  /*  7617 */ "MIDIOutputMap" "\0"
  /*  7631 */ "MIDIPort" "\0"
  /*  7640 */ "MOZ_debug" "\0"
  /*  7650 */ "MatchGlob" "\0"
  /*  7660 */ "MatchPattern" "\0"
  /*  7673 */ "MatchPatternSet" "\0"
  /*  7689 */ "MathMLElement" "\0"
  /*  7703 */ "MediaCapabilities" "\0"
  /*  7721 */ "MediaCapabilitiesInfo" "\0"
  /*  7743 */ "MediaControlService" "\0"
  /*  7763 */ "MediaController" "\0"
  /*  7779 */ "MediaDeviceInfo" "\0"
  /*  7795 */ "MediaDevices" "\0"
  /*  7808 */ "MediaElementAudioSourceNode" "\0"
  /*  7836 */ "MediaEncryptedEvent" "\0"
  /*  7856 */ "MediaError" "\0"
  /*  7867 */ "MediaKeyError" "\0"
  /*  7881 */ "MediaKeyMessageEvent" "\0"
  /*  7902 */ "MediaKeySession" "\0"
  /*  7918 */ "MediaKeyStatusMap" "\0"
  /*  7936 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7963 */ "MediaKeySystemAccess" "\0"
  /*  7984 */ "MediaKeys" "\0"
  /*  7994 */ "MediaList" "\0"
  /*  8004 */ "MediaMetadata" "\0"
  /*  8018 */ "MediaQueryList" "\0"
  /*  8033 */ "MediaQueryListEvent" "\0"
  /*  8053 */ "MediaRecorder" "\0"
  /*  8067 */ "MediaRecorderErrorEvent" "\0"
  /*  8091 */ "MediaSession" "\0"
  /*  8104 */ "MediaSource" "\0"
  /*  8116 */ "MediaStream" "\0"
  /*  8128 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8160 */ "MediaStreamAudioSourceNode" "\0"
  /*  8187 */ "MediaStreamError" "\0"
  /*  8204 */ "MediaStreamEvent" "\0"
  /*  8221 */ "MediaStreamTrack" "\0"
  /*  8238 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8270 */ "MediaStreamTrackEvent" "\0"
  /*  8292 */ "MerchantValidationEvent" "\0"
  /*  8316 */ "MessageBroadcaster" "\0"
  /*  8335 */ "MessageChannel" "\0"
  /*  8350 */ "MessageEvent" "\0"
  /*  8363 */ "MessageListenerManager" "\0"
  /*  8386 */ "MessagePort" "\0"
  /*  8398 */ "MessageSender" "\0"
  /*  8412 */ "MimeType" "\0"
  /*  8421 */ "MimeTypeArray" "\0"
  /*  8435 */ "MouseEvent" "\0"
  /*  8446 */ "MouseScrollEvent" "\0"
  /*  8463 */ "MozCanvasPrintState" "\0"
  /*  8483 */ "MozDocumentMatcher" "\0"
  /*  8502 */ "MozDocumentObserver" "\0"
  /*  8522 */ "MozQueryInterface" "\0"
  /*  8540 */ "MozSharedMap" "\0"
  /*  8553 */ "MozSharedMap Iterator" "\0"
  /*  8575 */ "MozSharedMapChangeEvent" "\0"
  /*  8599 */ "MozStorageAsyncStatementParams" "\0"
  /*  8630 */ "MozStorageStatementParams" "\0"
  /*  8656 */ "MozStorageStatementRow" "\0"
  /*  8679 */ "MozWritableSharedMap" "\0"
  /*  8700 */ "MutationEvent" "\0"
  /*  8714 */ "MutationObserver" "\0"
  /*  8731 */ "MutationRecord" "\0"
  /*  8746 */ "NamedNodeMap" "\0"
  /*  8759 */ "NavigationPreloadManager" "\0"
  /*  8784 */ "Navigator" "\0"
  /*  8794 */ "NetworkInformation" "\0"
  /*  8813 */ "Node" "\0"
  /*  8818 */ "NodeFilter" "\0"
  /*  8829 */ "NodeIterator" "\0"
  /*  8842 */ "NodeList" "\0"
  /*  8851 */ "Notification" "\0"
  /*  8864 */ "NotificationEvent" "\0"
  /*  8882 */ "NotifyPaintEvent" "\0"
  /*  8899 */ "OES_draw_buffers_indexed" "\0"
  /*  8924 */ "OES_element_index_uint" "\0"
  /*  8947 */ "OES_fbo_render_mipmap" "\0"
  /*  8969 */ "OES_standard_derivatives" "\0"
  /*  8994 */ "OES_texture_float" "\0"
  /*  9012 */ "OES_texture_float_linear" "\0"
  /*  9037 */ "OES_texture_half_float" "\0"
  /*  9060 */ "OES_texture_half_float_linear" "\0"
  /*  9090 */ "OES_vertex_array_object" "\0"
  /*  9114 */ "OVR_multiview2" "\0"
  /*  9129 */ "OfflineAudioCompletionEvent" "\0"
  /*  9157 */ "OfflineAudioContext" "\0"
  /*  9177 */ "OffscreenCanvas" "\0"
  /*  9193 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9227 */ "Option" "\0"
  /*  9234 */ "OscillatorNode" "\0"
  /*  9249 */ "PageTransitionEvent" "\0"
  /*  9269 */ "PaintRequest" "\0"
  /*  9282 */ "PaintRequestList" "\0"
  /*  9299 */ "PaintWorkletGlobalScope" "\0"
  /*  9323 */ "PannerNode" "\0"
  /*  9334 */ "ParentProcessMessageManager" "\0"
  /*  9362 */ "Path2D" "\0"
  /*  9369 */ "PathUtils" "\0"
  /*  9379 */ "PaymentAddress" "\0"
  /*  9394 */ "PaymentMethodChangeEvent" "\0"
  /*  9419 */ "PaymentRequest" "\0"
  /*  9434 */ "PaymentRequestUpdateEvent" "\0"
  /*  9460 */ "PaymentResponse" "\0"
  /*  9476 */ "PeerConnectionImpl" "\0"
  /*  9495 */ "PeerConnectionObserver" "\0"
  /*  9518 */ "Performance" "\0"
  /*  9530 */ "PerformanceEntry" "\0"
  /*  9547 */ "PerformanceEntryEvent" "\0"
  /*  9569 */ "PerformanceEventTiming" "\0"
  /*  9592 */ "PerformanceMark" "\0"
  /*  9608 */ "PerformanceMeasure" "\0"
  /*  9627 */ "PerformanceNavigation" "\0"
  /*  9649 */ "PerformanceNavigationTiming" "\0"
  /*  9677 */ "PerformanceObserver" "\0"
  /*  9697 */ "PerformanceObserverEntryList" "\0"
  /*  9726 */ "PerformancePaintTiming" "\0"
  /*  9749 */ "PerformanceResourceTiming" "\0"
  /*  9775 */ "PerformanceServerTiming" "\0"
  /*  9799 */ "PerformanceTiming" "\0"
  /*  9817 */ "PeriodicWave" "\0"
  /*  9830 */ "PermissionStatus" "\0"
  /*  9847 */ "Permissions" "\0"
  /*  9859 */ "PlacesBookmark" "\0"
  /*  9874 */ "PlacesBookmarkAddition" "\0"
  /*  9897 */ "PlacesBookmarkChanged" "\0"
  /*  9919 */ "PlacesBookmarkGuid" "\0"
  /*  9938 */ "PlacesBookmarkKeyword" "\0"
  /*  9960 */ "PlacesBookmarkMoved" "\0"
  /*  9980 */ "PlacesBookmarkRemoved" "\0"
  /* 10002 */ "PlacesBookmarkTags" "\0"
  /* 10021 */ "PlacesBookmarkTime" "\0"
  /* 10040 */ "PlacesBookmarkTitle" "\0"
  /* 10060 */ "PlacesBookmarkUrl" "\0"
  /* 10078 */ "PlacesEvent" "\0"
  /* 10090 */ "PlacesFavicon" "\0"
  /* 10104 */ "PlacesHistoryCleared" "\0"
  /* 10125 */ "PlacesObservers" "\0"
  /* 10141 */ "PlacesPurgeCaches" "\0"
  /* 10159 */ "PlacesRanking" "\0"
  /* 10173 */ "PlacesVisit" "\0"
  /* 10185 */ "PlacesVisitRemoved" "\0"
  /* 10204 */ "PlacesVisitTitle" "\0"
  /* 10221 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10247 */ "Plugin" "\0"
  /* 10254 */ "PluginArray" "\0"
  /* 10266 */ "PluginCrashedEvent" "\0"
  /* 10285 */ "PointerEvent" "\0"
  /* 10298 */ "PopStateEvent" "\0"
  /* 10312 */ "PopupBlockedEvent" "\0"
  /* 10330 */ "PopupPositionedEvent" "\0"
  /* 10351 */ "PositionStateEvent" "\0"
  /* 10370 */ "PrecompiledScript" "\0"
  /* 10388 */ "ProcessMessageManager" "\0"
  /* 10410 */ "ProcessingInstruction" "\0"
  /* 10432 */ "ProgressEvent" "\0"
  /* 10446 */ "PromiseDebugging" "\0"
  /* 10463 */ "PromiseNativeHandler" "\0"
  /* 10484 */ "PromiseRejectionEvent" "\0"
  /* 10506 */ "PublicKeyCredential" "\0"
  /* 10526 */ "PushEvent" "\0"
  /* 10536 */ "PushManager" "\0"
  /* 10548 */ "PushManagerImpl" "\0"
  /* 10564 */ "PushMessageData" "\0"
  /* 10580 */ "PushSubscription" "\0"
  /* 10597 */ "PushSubscriptionOptions" "\0"
  /* 10621 */ "RTCCertificate" "\0"
  /* 10636 */ "RTCDTMFSender" "\0"
  /* 10650 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10673 */ "RTCDataChannel" "\0"
  /* 10688 */ "RTCDataChannelEvent" "\0"
  /* 10708 */ "RTCDtlsTransport" "\0"
  /* 10725 */ "RTCEncodedAudioFrame" "\0"
  /* 10746 */ "RTCEncodedVideoFrame" "\0"
  /* 10767 */ "RTCIceCandidate" "\0"
  /* 10783 */ "RTCIceTransport" "\0"
  /* 10799 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10828 */ "RTCPeerConnection" "\0"
  /* 10846 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10872 */ "RTCPeerConnectionStatic" "\0"
  /* 10896 */ "RTCRtpReceiver" "\0"
  /* 10911 */ "RTCRtpScriptTransform" "\0"
  /* 10933 */ "RTCRtpScriptTransformer" "\0"
  /* 10957 */ "RTCRtpSender" "\0"
  /* 10970 */ "RTCRtpTransceiver" "\0"
  /* 10988 */ "RTCSctpTransport" "\0"
  /* 11005 */ "RTCSessionDescription" "\0"
  /* 11027 */ "RTCStatsReport" "\0"
  /* 11042 */ "RTCTrackEvent" "\0"
  /* 11056 */ "RTCTransformEvent" "\0"
  /* 11074 */ "RadioNodeList" "\0"
  /* 11088 */ "Range" "\0"
  /* 11094 */ "ReadableByteStreamController" "\0"
  /* 11123 */ "ReadableStream" "\0"
  /* 11138 */ "ReadableStream AsyncIterator" "\0"
  /* 11167 */ "ReadableStreamBYOBReader" "\0"
  /* 11192 */ "ReadableStreamBYOBRequest" "\0"
  /* 11218 */ "ReadableStreamDefaultController" "\0"
  /* 11250 */ "ReadableStreamDefaultReader" "\0"
  /* 11278 */ "Report" "\0"
  /* 11285 */ "ReportBody" "\0"
  /* 11296 */ "ReportingObserver" "\0"
  /* 11314 */ "Request" "\0"
  /* 11322 */ "ResizeObserver" "\0"
  /* 11337 */ "ResizeObserverEntry" "\0"
  /* 11357 */ "ResizeObserverSize" "\0"
  /* 11376 */ "Response" "\0"
  /* 11385 */ "SVGAElement" "\0"
  /* 11397 */ "SVGAngle" "\0"
  /* 11406 */ "SVGAnimateElement" "\0"
  /* 11424 */ "SVGAnimateMotionElement" "\0"
  /* 11448 */ "SVGAnimateTransformElement" "\0"
  /* 11475 */ "SVGAnimatedAngle" "\0"
  /* 11492 */ "SVGAnimatedBoolean" "\0"
  /* 11511 */ "SVGAnimatedEnumeration" "\0"
  /* 11534 */ "SVGAnimatedInteger" "\0"
  /* 11553 */ "SVGAnimatedLength" "\0"
  /* 11571 */ "SVGAnimatedLengthList" "\0"
  /* 11593 */ "SVGAnimatedNumber" "\0"
  /* 11611 */ "SVGAnimatedNumberList" "\0"
  /* 11633 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11664 */ "SVGAnimatedRect" "\0"
  /* 11680 */ "SVGAnimatedString" "\0"
  /* 11698 */ "SVGAnimatedTransformList" "\0"
  /* 11723 */ "SVGAnimationElement" "\0"
  /* 11743 */ "SVGCircleElement" "\0"
  /* 11760 */ "SVGClipPathElement" "\0"
  /* 11779 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11815 */ "SVGDefsElement" "\0"
  /* 11830 */ "SVGDescElement" "\0"
  /* 11845 */ "SVGElement" "\0"
  /* 11856 */ "SVGEllipseElement" "\0"
  /* 11874 */ "SVGFEBlendElement" "\0"
  /* 11892 */ "SVGFEColorMatrixElement" "\0"
  /* 11916 */ "SVGFEComponentTransferElement" "\0"
  /* 11946 */ "SVGFECompositeElement" "\0"
  /* 11968 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11995 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12023 */ "SVGFEDisplacementMapElement" "\0"
  /* 12051 */ "SVGFEDistantLightElement" "\0"
  /* 12076 */ "SVGFEDropShadowElement" "\0"
  /* 12099 */ "SVGFEFloodElement" "\0"
  /* 12117 */ "SVGFEFuncAElement" "\0"
  /* 12135 */ "SVGFEFuncBElement" "\0"
  /* 12153 */ "SVGFEFuncGElement" "\0"
  /* 12171 */ "SVGFEFuncRElement" "\0"
  /* 12189 */ "SVGFEGaussianBlurElement" "\0"
  /* 12214 */ "SVGFEImageElement" "\0"
  /* 12232 */ "SVGFEMergeElement" "\0"
  /* 12250 */ "SVGFEMergeNodeElement" "\0"
  /* 12272 */ "SVGFEMorphologyElement" "\0"
  /* 12295 */ "SVGFEOffsetElement" "\0"
  /* 12314 */ "SVGFEPointLightElement" "\0"
  /* 12337 */ "SVGFESpecularLightingElement" "\0"
  /* 12366 */ "SVGFESpotLightElement" "\0"
  /* 12388 */ "SVGFETileElement" "\0"
  /* 12405 */ "SVGFETurbulenceElement" "\0"
  /* 12428 */ "SVGFilterElement" "\0"
  /* 12445 */ "SVGForeignObjectElement" "\0"
  /* 12469 */ "SVGGElement" "\0"
  /* 12481 */ "SVGGeometryElement" "\0"
  /* 12500 */ "SVGGradientElement" "\0"
  /* 12519 */ "SVGGraphicsElement" "\0"
  /* 12538 */ "SVGImageElement" "\0"
  /* 12554 */ "SVGLength" "\0"
  /* 12564 */ "SVGLengthList" "\0"
  /* 12578 */ "SVGLineElement" "\0"
  /* 12593 */ "SVGLinearGradientElement" "\0"
  /* 12618 */ "SVGMPathElement" "\0"
  /* 12634 */ "SVGMarkerElement" "\0"
  /* 12651 */ "SVGMaskElement" "\0"
  /* 12666 */ "SVGMatrix" "\0"
  /* 12676 */ "SVGMetadataElement" "\0"
  /* 12695 */ "SVGNumber" "\0"
  /* 12705 */ "SVGNumberList" "\0"
  /* 12719 */ "SVGPathElement" "\0"
  /* 12734 */ "SVGPathSeg" "\0"
  /* 12745 */ "SVGPathSegArcAbs" "\0"
  /* 12762 */ "SVGPathSegArcRel" "\0"
  /* 12779 */ "SVGPathSegClosePath" "\0"
  /* 12799 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12825 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12851 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12883 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12915 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12945 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12975 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 13011 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 13047 */ "SVGPathSegLinetoAbs" "\0"
  /* 13067 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13097 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13127 */ "SVGPathSegLinetoRel" "\0"
  /* 13147 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13175 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13203 */ "SVGPathSegList" "\0"
  /* 13218 */ "SVGPathSegMovetoAbs" "\0"
  /* 13238 */ "SVGPathSegMovetoRel" "\0"
  /* 13258 */ "SVGPatternElement" "\0"
  /* 13276 */ "SVGPoint" "\0"
  /* 13285 */ "SVGPointList" "\0"
  /* 13298 */ "SVGPolygonElement" "\0"
  /* 13316 */ "SVGPolylineElement" "\0"
  /* 13335 */ "SVGPreserveAspectRatio" "\0"
  /* 13358 */ "SVGRadialGradientElement" "\0"
  /* 13383 */ "SVGRect" "\0"
  /* 13391 */ "SVGRectElement" "\0"
  /* 13406 */ "SVGSVGElement" "\0"
  /* 13420 */ "SVGScriptElement" "\0"
  /* 13437 */ "SVGSetElement" "\0"
  /* 13451 */ "SVGStopElement" "\0"
  /* 13466 */ "SVGStringList" "\0"
  /* 13480 */ "SVGStyleElement" "\0"
  /* 13496 */ "SVGSwitchElement" "\0"
  /* 13513 */ "SVGSymbolElement" "\0"
  /* 13530 */ "SVGTSpanElement" "\0"
  /* 13546 */ "SVGTextContentElement" "\0"
  /* 13568 */ "SVGTextElement" "\0"
  /* 13583 */ "SVGTextPathElement" "\0"
  /* 13602 */ "SVGTextPositioningElement" "\0"
  /* 13628 */ "SVGTitleElement" "\0"
  /* 13644 */ "SVGTransform" "\0"
  /* 13657 */ "SVGTransformList" "\0"
  /* 13674 */ "SVGUnitTypes" "\0"
  /* 13687 */ "SVGUseElement" "\0"
  /* 13701 */ "SVGViewElement" "\0"
  /* 13716 */ "Sanitizer" "\0"
  /* 13726 */ "Scheduler" "\0"
  /* 13736 */ "Screen" "\0"
  /* 13743 */ "ScreenLuminance" "\0"
  /* 13759 */ "ScreenOrientation" "\0"
  /* 13777 */ "ScriptProcessorNode" "\0"
  /* 13797 */ "ScrollAreaEvent" "\0"
  /* 13813 */ "ScrollViewChangeEvent" "\0"
  /* 13835 */ "SecurityPolicyViolationEvent" "\0"
  /* 13864 */ "Selection" "\0"
  /* 13874 */ "ServiceWorker" "\0"
  /* 13888 */ "ServiceWorkerContainer" "\0"
  /* 13911 */ "ServiceWorkerGlobalScope" "\0"
  /* 13936 */ "ServiceWorkerRegistration" "\0"
  /* 13962 */ "SessionStoreFormData" "\0"
  /* 13983 */ "SessionStoreScrollData" "\0"
  /* 14006 */ "SessionStoreUtils" "\0"
  /* 14024 */ "ShadowRealmGlobalScope" "\0"
  /* 14047 */ "ShadowRoot" "\0"
  /* 14058 */ "SharedWorker" "\0"
  /* 14071 */ "SharedWorkerGlobalScope" "\0"
  /* 14095 */ "SimpleGestureEvent" "\0"
  /* 14114 */ "SourceBuffer" "\0"
  /* 14127 */ "SourceBufferList" "\0"
  /* 14144 */ "SpeechGrammar" "\0"
  /* 14158 */ "SpeechGrammarList" "\0"
  /* 14176 */ "SpeechRecognition" "\0"
  /* 14194 */ "SpeechRecognitionAlternative" "\0"
  /* 14223 */ "SpeechRecognitionError" "\0"
  /* 14246 */ "SpeechRecognitionEvent" "\0"
  /* 14269 */ "SpeechRecognitionResult" "\0"
  /* 14293 */ "SpeechRecognitionResultList" "\0"
  /* 14321 */ "SpeechSynthesis" "\0"
  /* 14337 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14363 */ "SpeechSynthesisEvent" "\0"
  /* 14384 */ "SpeechSynthesisUtterance" "\0"
  /* 14409 */ "SpeechSynthesisVoice" "\0"
  /* 14430 */ "StaticRange" "\0"
  /* 14442 */ "StereoPannerNode" "\0"
  /* 14459 */ "Storage" "\0"
  /* 14467 */ "StorageEvent" "\0"
  /* 14480 */ "StorageManager" "\0"
  /* 14495 */ "StreamFilter" "\0"
  /* 14508 */ "StreamFilterDataEvent" "\0"
  /* 14530 */ "StructuredCloneHolder" "\0"
  /* 14552 */ "StructuredCloneTester" "\0"
  /* 14574 */ "StyleSheet" "\0"
  /* 14585 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14622 */ "StyleSheetList" "\0"
  /* 14637 */ "StyleSheetRemovedEvent" "\0"
  /* 14660 */ "SubmitEvent" "\0"
  /* 14672 */ "SubtleCrypto" "\0"
  /* 14685 */ "SyncMessageSender" "\0"
  /* 14703 */ "SyncReadFile" "\0"
  /* 14716 */ "TCPServerSocket" "\0"
  /* 14732 */ "TCPServerSocketEvent" "\0"
  /* 14753 */ "TCPSocket" "\0"
  /* 14763 */ "TCPSocketErrorEvent" "\0"
  /* 14783 */ "TCPSocketEvent" "\0"
  /* 14798 */ "TaskController" "\0"
  /* 14813 */ "TaskPriorityChangeEvent" "\0"
  /* 14837 */ "TaskSignal" "\0"
  /* 14848 */ "TelemetryStopwatch" "\0"
  /* 14867 */ "TestUtils" "\0"
  /* 14877 */ "TestingDeprecatedInterface" "\0"
  /* 14904 */ "Text" "\0"
  /* 14909 */ "TextClause" "\0"
  /* 14920 */ "TextDecoder" "\0"
  /* 14932 */ "TextDecoderStream" "\0"
  /* 14950 */ "TextEncoder" "\0"
  /* 14962 */ "TextEncoderStream" "\0"
  /* 14980 */ "TextMetrics" "\0"
  /* 14992 */ "TextTrack" "\0"
  /* 15002 */ "TextTrackCue" "\0"
  /* 15015 */ "TextTrackCueList" "\0"
  /* 15032 */ "TextTrackList" "\0"
  /* 15046 */ "TimeEvent" "\0"
  /* 15056 */ "TimeRanges" "\0"
  /* 15067 */ "ToggleEvent" "\0"
  /* 15079 */ "Touch" "\0"
  /* 15085 */ "TouchEvent" "\0"
  /* 15096 */ "TouchList" "\0"
  /* 15106 */ "TrackEvent" "\0"
  /* 15117 */ "TransformStream" "\0"
  /* 15133 */ "TransformStreamDefaultController" "\0"
  /* 15166 */ "TransitionEvent" "\0"
  /* 15182 */ "TreeColumn" "\0"
  /* 15193 */ "TreeColumns" "\0"
  /* 15205 */ "TreeContentView" "\0"
  /* 15221 */ "TreeWalker" "\0"
  /* 15232 */ "TrustedHTML" "\0"
  /* 15244 */ "TrustedScript" "\0"
  /* 15258 */ "TrustedScriptURL" "\0"
  /* 15275 */ "TrustedTypePolicy" "\0"
  /* 15293 */ "TrustedTypePolicyFactory" "\0"
  /* 15318 */ "UDPMessageEvent" "\0"
  /* 15334 */ "UDPSocket" "\0"
  /* 15344 */ "UIEvent" "\0"
  /* 15352 */ "URL" "\0"
  /* 15356 */ "URLSearchParams" "\0"
  /* 15372 */ "URLSearchParams Iterator" "\0"
  /* 15397 */ "UniFFIPointer" "\0"
  /* 15411 */ "UniFFIScaffolding" "\0"
  /* 15429 */ "UserActivation" "\0"
  /* 15444 */ "UserInteraction" "\0"
  /* 15460 */ "UserProximityEvent" "\0"
  /* 15479 */ "VRDisplay" "\0"
  /* 15489 */ "VRDisplayCapabilities" "\0"
  /* 15511 */ "VRDisplayEvent" "\0"
  /* 15526 */ "VREyeParameters" "\0"
  /* 15542 */ "VRFieldOfView" "\0"
  /* 15556 */ "VRFrameData" "\0"
  /* 15568 */ "VRMockController" "\0"
  /* 15585 */ "VRMockDisplay" "\0"
  /* 15599 */ "VRPose" "\0"
  /* 15606 */ "VRServiceTest" "\0"
  /* 15620 */ "VRStageParameters" "\0"
  /* 15638 */ "VTTCue" "\0"
  /* 15645 */ "VTTRegion" "\0"
  /* 15655 */ "ValidityState" "\0"
  /* 15669 */ "VideoColorSpace" "\0"
  /* 15685 */ "VideoDecoder" "\0"
  /* 15698 */ "VideoEncoder" "\0"
  /* 15711 */ "VideoFrame" "\0"
  /* 15722 */ "VideoPlaybackQuality" "\0"
  /* 15743 */ "VideoTrack" "\0"
  /* 15754 */ "VideoTrackList" "\0"
  /* 15769 */ "VisualViewport" "\0"
  /* 15784 */ "WEBGL_color_buffer_float" "\0"
  /* 15809 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15839 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15868 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15898 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15929 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15959 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15994 */ "WEBGL_debug_renderer_info" "\0"
  /* 16020 */ "WEBGL_debug_shaders" "\0"
  /* 16040 */ "WEBGL_depth_texture" "\0"
  /* 16060 */ "WEBGL_draw_buffers" "\0"
  /* 16079 */ "WEBGL_explicit_present" "\0"
  /* 16102 */ "WEBGL_lose_context" "\0"
  /* 16121 */ "WEBGL_provoking_vertex" "\0"
  /* 16144 */ "WakeLock" "\0"
  /* 16153 */ "WakeLockSentinel" "\0"
  /* 16170 */ "WaveShaperNode" "\0"
  /* 16185 */ "WebExtensionContentScript" "\0"
  /* 16211 */ "WebExtensionPolicy" "\0"
  /* 16230 */ "WebGL2RenderingContext" "\0"
  /* 16253 */ "WebGLActiveInfo" "\0"
  /* 16269 */ "WebGLBuffer" "\0"
  /* 16281 */ "WebGLContextEvent" "\0"
  /* 16299 */ "WebGLFramebuffer" "\0"
  /* 16316 */ "WebGLProgram" "\0"
  /* 16329 */ "WebGLQuery" "\0"
  /* 16340 */ "WebGLRenderbuffer" "\0"
  /* 16358 */ "WebGLRenderingContext" "\0"
  /* 16380 */ "WebGLSampler" "\0"
  /* 16393 */ "WebGLShader" "\0"
  /* 16405 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16432 */ "WebGLSync" "\0"
  /* 16442 */ "WebGLTexture" "\0"
  /* 16455 */ "WebGLTransformFeedback" "\0"
  /* 16478 */ "WebGLUniformLocation" "\0"
  /* 16499 */ "WebGLVertexArrayObject" "\0"
  /* 16522 */ "WebKitCSSMatrix" "\0"
  /* 16538 */ "WebSocket" "\0"
  /* 16548 */ "WebTransport" "\0"
  /* 16561 */ "WebTransportBidirectionalStream" "\0"
  /* 16593 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16626 */ "WebTransportError" "\0"
  /* 16644 */ "WebTransportReceiveStream" "\0"
  /* 16670 */ "WebTransportSendStream" "\0"
  /* 16693 */ "WebrtcGlobalInformation" "\0"
  /* 16717 */ "WheelEvent" "\0"
  /* 16728 */ "Window" "\0"
  /* 16735 */ "WindowClient" "\0"
  /* 16748 */ "WindowContext" "\0"
  /* 16762 */ "WindowGlobalChild" "\0"
  /* 16780 */ "WindowGlobalParent" "\0"
  /* 16799 */ "WindowRoot" "\0"
  /* 16810 */ "Worker" "\0"
  /* 16817 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16843 */ "WorkerGlobalScope" "\0"
  /* 16861 */ "WorkerLocation" "\0"
  /* 16876 */ "WorkerNavigator" "\0"
  /* 16892 */ "WorkerTestUtils" "\0"
  /* 16908 */ "Worklet" "\0"
  /* 16916 */ "WorkletGlobalScope" "\0"
  /* 16935 */ "WritableStream" "\0"
  /* 16950 */ "WritableStreamDefaultController" "\0"
  /* 16982 */ "WritableStreamDefaultWriter" "\0"
  /* 17010 */ "XMLDocument" "\0"
  /* 17022 */ "XMLHttpRequest" "\0"
  /* 17037 */ "XMLHttpRequestEventTarget" "\0"
  /* 17063 */ "XMLHttpRequestUpload" "\0"
  /* 17084 */ "XMLSerializer" "\0"
  /* 17098 */ "XPathEvaluator" "\0"
  /* 17113 */ "XPathExpression" "\0"
  /* 17129 */ "XPathResult" "\0"
  /* 17141 */ "XRBoundedReferenceSpace" "\0"
  /* 17165 */ "XRFrame" "\0"
  /* 17173 */ "XRInputSource" "\0"
  /* 17187 */ "XRInputSourceArray" "\0"
  /* 17206 */ "XRInputSourceEvent" "\0"
  /* 17225 */ "XRInputSourcesChangeEvent" "\0"
  /* 17251 */ "XRPose" "\0"
  /* 17258 */ "XRReferenceSpace" "\0"
  /* 17275 */ "XRReferenceSpaceEvent" "\0"
  /* 17297 */ "XRRenderState" "\0"
  /* 17311 */ "XRRigidTransform" "\0"
  /* 17328 */ "XRSession" "\0"
  /* 17338 */ "XRSessionEvent" "\0"
  /* 17353 */ "XRSpace" "\0"
  /* 17361 */ "XRSystem" "\0"
  /* 17370 */ "XRView" "\0"
  /* 17377 */ "XRViewerPose" "\0"
  /* 17390 */ "XRViewport" "\0"
  /* 17401 */ "XRWebGLLayer" "\0"
  /* 17414 */ "XSLTProcessor" "\0"
  /* 17428 */ "XULCommandEvent" "\0"
  /* 17444 */ "XULElement" "\0"
  /* 17455 */ "XULFrameElement" "\0"
  /* 17471 */ "XULMenuElement" "\0"
  /* 17486 */ "XULPopupElement" "\0"
  /* 17502 */ "XULResizerElement" "\0"
  /* 17520 */ "XULTextElement" "\0"
  /* 17535 */ "XULTreeElement" "\0"
  /* 17550 */ "console" "\0"
  /* 17558 */ "webkitSpeechGrammar" "\0"
  /* 17578 */ "webkitSpeechGrammarList" "\0"
  /* 17602 */ "webkitSpeechRecognition" "\0"
  /* 17626 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

